%define build_static 0

Name: xapian
Version: 0.9.4
Release: alt0.M30.1

Summary: The Xapian Probabilistic Information Retrieval Library
License: GPL
Group: Databases

Url: http://www.xapian.org
Source: http://www.oligarchy.co.uk/xapian/%version/%name-core-%version.tar.gz
Patch0: http://search.gmane.org/~xapian/xapian-qp-utf8-0.9.2.patch
Patch1: xapian-core-0.9.2-alt-libtool.patch

# Automatically added by buildreq on Fri Dec 02 2005
BuildRequires: gcc-c++ hostinfo libstdc++-devel tetex-core tetex-dvips tetex-latex graphviz doxygen libglib2-devel

%description
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

%package core
Summary: Xapian core package
Group: Databases

%description core
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

%package -n lib%name
Summary: Xapian search engine libraries
Group: System/Libraries

%description -n lib%name
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

This package provides the libraries for applications using Xapian
functionality.

%package -n lib%name-devel
Group: Development/C++
Summary: Files needed for building packages which use Xapian
Requires: lib%name = %version

%description -n lib%name-devel
This package provides the files needed for building packages which
use Xapian library.

%if %build_static
%package -n lib%name-devel-static
Group: Development/C++
Summary: Files needed for building packages which use Xapian statically
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
This package provides the files needed for building packages which
link against Xapian library statically or use XO_LIB_XAPIAN macroo
and build with libtool.
%endif

%package -n %name-doc
Group: Development/Documentation
Summary: Developer's documentation for Xapian

%description -n %name-doc
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

This package contains API reference in HTML and PostScript.

%prep
%setup -q -n %name-core-%version
#patch0 -p1
#patch1 -p1

%build
subst 's,/usr/lib/libglib-2.0.la,-lglib-2.0,' queryparser/Makefile.am
autoreconf -fisv
%configure \
%if %build_static
	--enable-static
%else
	--disable-static
%endif
#	--enable-maintainer-mode
# SMP build status unknown
%make

%install
# makeinstall doesn't work properly with libtool built libraries
%make DESTDIR=%buildroot install
rm -rf %buildroot%_datadir/doc/xapian-core/
gzip -9nf docs/apidoc.ps

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files core
%_bindir/xapian-tcpsrv
%_bindir/quartzcheck
%_bindir/quartzcompact
%_bindir/quartzdump
%_bindir/quest
%_bindir/delve
%_bindir/copydatabase
%_bindir/simpleindex
%_bindir/simplesearch
%_bindir/simpleexpand
%_bindir/xapian-compact
%doc AUTHORS ChangeLog NEWS PLATFORMS README

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/xapian-config
%_includedir/xapian
%_includedir/xapian.h
%_libdir/libxapian.so
%_datadir/aclocal/xapian.m4

%if %build_static
%files -n lib%name-devel-static
%_libdir/libxapian.a
#_libdir/libxapian.la
%endif

%files -n %name-doc
%doc docs/*.html
%doc docs/apidoc.ps*
%doc docs/apidoc/html/
%doc HACKING

%changelog
* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 0.9.4-alt0.M30.1
- built for M30
- merged changelog

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 0.9.4-alt1
- 0.9.4
- removed patch1

* Mon Feb 06 2006 Michael Shigorin <mike@altlinux.org> 0.9.2-alt2.M30.1
- built for M30

* Mon Feb 06 2006 Michael Shigorin <mike@altlinux.org> 0.9.2-alt3
- thanks upstream developer Olly Betts <olly/survex.com> for
  checking our package and Dmitry Levin <ldv@> for libtool/xapian-config
  advice and patch
- finished implementing -devel-static subpackage, just in case;
  build disabled by default
- temporarily removed unicode query patch to check whether it was relevant
  to Cyrillic icase search with recoll

* Mon Jan 30 2006 Michael Shigorin <mike@altlinux.org> 0.9.2-alt1.M30.1
- built for M30

* Tue Dec 06 2005 Michael Shigorin <mike@altlinux.org> 0.9.2-alt2
- applied patch to enable unicode querying (disables stemming)
- see also recoll (qt frontend)
        
* Mon Dec 05 2005 Michael Shigorin <mike@altlinux.org> 0.9.2-alt1
- built for ALT Linux (recoll dependency)
- removed static libraries (anyone needing 'em adds devel-static
  and mails me a spec patch)
- moved API docs to subpackage
- spec cleanup
